Subject: RE: Notifications - How to extract hostname/ip adress

From: "Frithiof Jensen (AH/LMD)" <[email-masked]>
Date: Wed, 7 Sep 2005 13:52:33 +0200

Thanks,

Yes - that is similar to my first effort; i.e running "mysql" from the command line directly. 

What I would like to do was to extract the host name and other bits of info with the % options and insert them in different columns. 

The problem I have is that there seems to be no way of doing that except by reg-exing the entire message (and the % options are there to avoid that, not?)

The performance is not too critical (i think) - it is for maybe 30 nodes and the only purpose is to send a notification to a Java process/GUI environment that needs to correlate the notification with sysLocation (p.t. collected by another process, unless Argus can do that too.) 

My management box is a P4 with 1GB ram so maybe thats why I cannot feel 5 second update rates and notifications on every one - to make it look interactive to people that like to see network management test cases met but cannot wait ;-).  

PS: 

Is there a quick-and-dirty way to get Argus to poll snmp values and extract a copy of them instead of just testing them?.

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jeremy Kister
> Sent: 6. september 2005 21:36
> To: Discussion about Argus
> Subject: Re: Notifications - How to extract hostname/ip adress
> 
> 
> On 9/6/2005 4:38 AM, Frithiof Jensen (AH/LMD) wrote:
> > I need to extract notifications from Argus and insert them 
> into an SQL database. I would like to use the hostname field 
> as a key to associating alarms with specific hosts, so I need 
> to extract it. 
> > 
> > This seems to be doable, the notification documentation says:
> > 
> > """
> > The %O{param} - the current value of the specified object 
> parameter (3.3)  
> > """
> > but does not specify what "object parameter" is exactly 
> ("hostname" will not work).
> > 
> > Anyone tried this?
> 
> I've implemented an Argus notification SQL log, but had to 
> turn it off.
> 
> All I did was make a new method in the config, and sent 
> notifications to it.
> 
> Method "sql" {
>    command: /export/scripts/sqlnotify.pl %R
>    send:    %T - %O - %A
>    qtime:      0
>    nolotsmsgs: yes
> }
> 
> Since the script would connect to the db on each run (it wasnt
> daemonized), I found that when argus had one too many 
> notifications, all
> my perl brought the machine down to it's knees, and I havent put forth
> any effort to redesign it.
> 
> 
> 
> -- 
> 
> Jeremy Kister
> http://jeremy.kister.net./
> _______________________________________________
> http://argus.tcp4me.com/
> [email-masked]
> http://www.tcp4me.com/mailman/listinfo/arguslist
>